Back to Contents

# NetWare Driver Software: Broadcom NetXtreme™ Gigabit Ethernet Adapter User's Guide

This chapter provides the following information:

Netware Core Driver Software

Broadcom Advanced Server Program for Netware

SNMP

# Netware Core Driver Software

This section contains the following information:

Driver Installation

Pre-Installation Requirements

Installing Novell NetWare Server 5.x/6.0

Verifying or Modifying Adapter Parameters

Removing Drivers from Autoexec.ncf

## Driver Installation

This section describes how to perform the following tasks:

- Verify that the required OS support files are installed on the server and the NetWare pre-installation parameters are correctly set.
- Install the driver software in the Novell NetWare environment.
- If necessary, reconfigure the driver software after installation.
- For an adapter installation with an existing NetWare server, NetWare will automatically detect the new adapter and attempt to load the appropriate driver. Ensure that your Broadcom CD ROM is loaded and select the BCM570x NetXtreme™ Gigabit Ethernet Driver.

A commonly used method to install a driver on a NetWare server running 5.x/6.0 and higher is through NWCONFIG, and on NetWare 4.x it is INSTALL.

Back to Top

## Pre-Installation Requirements

A network device driver must be installed before the Gigabit Ethernet Adapter can be used with your Novell NetWare system.

Before you can successfully install the adapter driver for Novell NetWare, the adapter card must be physically installed in the server and, typically, NetWare OS software must already be running on the server. Make sure that your server meets the hardware and operating system software requirements described in "Installing the Hardware."

To enable the Gigabit Ethernet Adapter to function correctly, you need to install the latest Novell NetWare support pack files. The NetWare support pack or patch file(s) needed for the operating system running on your server are indicated below:

Table 1. NetWare Support Files

NetWare OS | Support Pack or Patch | Files to be Installed
NetWare 5.1 | Latest NetWare 5.1 Support Pack | The latest support pack can be found at: http://support.novell.com/misc/patlst.htm
NetWare 6.0 | Latest NetWare 6.0
NetWare 4.2 | Support Pack 8.0 or later

| NOTE – PCI-X Systems: For systems with PCI-X you must install driver version v2.10 and above. For new installs of Netware with the latest drivers, you must create a "c:\nwupdate" directory and copy the latest B57.LAN and B57.LDI files into this directory before installing the operating system.

| NOTE – NetWare 5.x/6.0: If you are installing NetWare 5.x/6.0 for the first time on a system, the process to install the adapter driver will occur during the OS installation procedure. Install the NetWare 5 support pack after you have successfully installed the operating system on the server.

To obtain the latest support pack files, go to the Novell support website and click on the Minimum Patch List option in the navigation bar. Scroll down the page and, using Table 1 above as a guide, select and download the latest support pack or patch file(s) for the operating system running on your server.

| NOTE – NetWare 4.2: The latest ODI LAN drivers are not automatically installed with the NetWare 4.2 Support Pack. Follow the support pack instructions for including the ODI LAN drivers during installation.

Back to Top

## Installing Novell NetWare Server 5.x/6.0

Please ensure that the server has the latest support pack available installed. The latest support packs can be found at: http://support.novell.com/misc/patlst.htm. You may want to create an archive disk by copying all the files from the CDROM\Netware\Driver directory onto a floppy disk. If you choose to use the CDROM directly, ensure that the CDROM.NLM is loaded and that you are aware of the NetWare Volume name for the CD ROM that you just installed.

1. From the NetWare Server console, type LOAD NWCONFIG (or just NWCONFIG) and press Enter.
2. From the Configuration Options screen, select Driver options and press Enter.
3. Select the Configure network drivers option and press Enter.
4. Choose the Load an additional driver option and press Enter.
5. Insert the CD or driver disk created using the Broadcom MakeDisk utility, and select the Install an unlisted driver option, by pressing Insert.
6. If you are using the archive disk that you created, insert the disk into drive A: and press Enter. If you have the CD ROM mounted as a NetWare volume, press F3 and enter <Volume Name>: Netware\Driver as the source path. Where <Volume Name> is the name of the NetWare Volume for the CD ROM and Netware\Driver is the directory of the specific files on the CD ROM needed for this installation.
7. The name of the driver displays.
8. Press Enter to select the highlighted driver.
9. A copy the driver prompt appears.
10. Select Yes and press Enter.
11. Select Yes and press Enter to copy the .LDI file. This is the installation script for the driver.
12. Follow the instructions for the installation.
13. Select Save parameters and load driver to continue.
14. Choose Exit to return to the server console prompt.

| NOTE - If you are performing an initial installation of NetWare 5.x/6.0 and have more than two adapters installed, the install program will allow you to allocate the actual number of packet receive buffers needed by the adapter. During installation, the RxBuffers value should be set to 32, the minimum number of buffers the driver requires for each adapter. While this setting affects adapter performance, it allows installation of the operating system and up to eight adapters during initial install. Once installation is complete, you need to increase the number of buffers allocated to the driver, as described in Verifying or Modifying Adapter Parameters.

15. After NetWare 5.x/6.0 has been successfully installed, set the minimum packet receive buffers parameter in the startup.ncf file to 1500 for each adapter in the system. Set the maximum packet receive buffers to three times the minimum packet receive buffers. Typically 4 MB of RAM is required per 1000 receive buffers. For more information, see Verifying or Modifying Adapter Parameters.
16. In the autoexec.ncf file, delete the packet receive buffers parameter (RxBuffers=32) in the load statement for this adapter. Deleting the receive buffers phrase from the load statement resets the receive buffers parameter to the default value of 200 for this adapter.

| NOTE - The server needs to be restarted for the new configuration.

> Example: The default maximum number of receive buffers for the system is 500; the default minimum is 128. Edit the startup.ncf file to have the following entries. The actual numbers will be a function of the number of adapters in the system. The following is an example for a system with 8 adapters installed:

>     set maximum packet receive buffers = 36000
>     set minimum packet receive buffers = 12000

Back to Top

## Verifying or Modifying Adapter Parameters

When an adapter configuration is saved, the NetWare install program adds load and bind statements to the autoexec.ncf file. By accessing this file, you can verify the parameters configured for each adapter, modify them, or enter additional parameters.

| NOTE – The Novell monitor program and the config command are also useful for verifying driver configuration. For information on how to use these programs, see the Utilities Reference in your Novell NetWare online documentation.

The parameters that can be defined in the load statements are described below:

#### Configuration Parameters for B57.LAN driver:

> TxDescriptors=
> This is to initialize Descriptor resources on the adapter for transmits.
> Min = 100
> Max = 512
> Default = 120

> RxBuffers=
> This is to pre-allocate receive ECBs & Receive adapter resources. This setting may be affected by the Netware server maximum/minimum packet receive buffer settings.
> Min = 32
> Max = 1000
> Default = 200

> Speed=
> This keyword is to force the line speed of the adapter.
> When this keyword is used, the switch to which the adapter cable is connected to must be forced. If not, the adapter and switch may run at different duplex modes. It is important to have the switch and adapter set properly. The best way to ensure good connectivity is to not set the speed keyword and
> allow for automatic link setup (auto-negotiation).
> Choices are:
> AUTO, 10FD,10HD, 100FD, 100HD,
> Default is Auto. Note that 1000 Mbps Speed is auto-detected at this time, and cannot be forced.

> Link=
> This keyword is set to "AUTO" to allow the adapter to auto-negotiate with a switch
> using the Speed keyword as an advertised speed upper limit.
> It is best to allow for auto-negotiation of the card and switch by not setting
> this keyword or the Speed keyword.
> Choices are:
> AUTO, FORCE
> Default is FORCE
> Default value is FORCE because the speed keyword is usually used when a switch and the adapter speeds are both forced to a specific value.

> RxTicks=
> This is to enable the use of batching receives within a specific time period.
> Min = 0, disabled
> Max = 5000000, 5 seconds
> Units are in micro seconds
> Default value is 300

> TxTicks=
> This is to enable the use of a transmit "tick" threshold interrupt within a specific time period.
> Min = 0, disabled
> Max = 5000000, 5 seconds
> Units are in micro seconds
> Default is 200

> TxPacketsPer=
> This is to enable the use of allowing an interrupt to occur after a specific amount of packets are transmitted.
> Min = 0, disabled
> Max = 100
> Default is 20

> RxPacketsPer=
> This is to enable the use of allowing an interrupt to occur after a specific amount of packets are received.
> Min = 0, disabled
> Max = 100
> Default is 75

> CheckSum=
> This is to enable or disable the transmit & receive checksum off loading feature.
> The checksum off loading support is only for TCP/IP packets, for that reason it is defaulted to OFF.
> Choices are:
> OFF, ON, TX, RX
> Default value is ON.

> TxFlow=
> This keyword allows enabling/disabling of TxFlow control.
> Choices are:
> ON, OFF
> Default value is OFF.

> RxFlow=
> This keyword allows enabling/disabling of RxFlow control.
> Choices are:
> ON, OFF
> Default value is OFF.

> PDriver=
> Allows for the driver to operate in persistent driver mode.
> Only use if adapter is placed in a Hot Plug PCI slot and only if required to swap with an exact same board.
> Choices are:
> OFF, ON
> Default value is OFF.

> NODE=
> This is a Novell Netware keyword.
> This keyword will allow an input Ethernet node address to replace the adapter factory programmed Ethernet node address until a subsequent reboot.
> Choices are:
> NODE=nnnnnnnnnnnn

> FRAME=
> This is a Novell Netware keyword.
> String specifying the frame type.
> Choices are:
> ETHERNET_II
> ETHERNET_802.3
> ETHERNET_802.2
> ETHERNET_SNAP
> Default value is ETHERNET_802.2

> SLOT=
> This is a Novell Netware keyword.
> System-wide unique Hardware Instance Number (HIN) that may be the physical
> slot number on a slot based bus such as PCI.
> SLOT=n

> Jumbo=
> Keyword to enable Jumbo frame support. When enabled, jumbo packets of up to 9000 bytes are supported.
> Choices are:
> Jumbo=1536-9100
> Default is no jumbo packets

> | NOTE - Jumbo frames are only supported on Netware 6.0 and above. Plus the first frame loaded must be ETHERNET_II.

> | NOTE - Jumbo frame support must have the following text in the Startup.ncf file: "Set maximum physical receive packet size = 18000".

> P3=
> This keyword is used when running perform3.exe tests and may increase performance on networks running with many ipx clients.
> Set P3=1, when running the perform3 test back to back to a single client.
> Set P3=2, when running the perform3 test with many clients.
> Default: P3=0.

> Spuriousfix=
> When this keyword is set to 1(spurious fix is on), the spurious interrupts count that is sometimes displayed on the Netware console monitor, may be reduced. By setting this keyword to 0 (spurious fix is OFF), performance of the driver may be enhanced.
> The Default is spurious fix = 1 (spurious fix is on).
> Choices are:
> Spuriousfix=0
> Spuriousfix=1 (default).

> Poll=
> To disable interrupt driven mode in the driver set Poll=1 and the driver will not use interrupts, but will be polled by the Netware OS. This is a common feature supported in NW. The poll mode may increase driver performance in some environments.
> Choices are:
> Poll=1 (ON)
> Poll=0 (OFF) (default).

> WireSpeed=
> This feature provides adapter link & data integrity even when attached to a questionable cable and/or switch.
> For example; an adapter trying to run 1000 speed on a cat3 cable ordinarily would not link. With the WireSpeed=1, the link will occur at 100Mbs.
> Choices are:
> WireSpeed=1 (ON) (Default)
> WireSpeed=0 (OFF).

> Model=
> This keyword is to allow the additon of a sub-system ID of a specific NIC so that the driver loads only on the first NIC found with a matching sub-system ID.
> e.g., MODEl= 0x14e4
> Default = 0

> MagicP=
> When the MagicP=1 the driver will enable the adapter to wake up the system when a magic packet is received after the system is shutdown. MagicP=0 is the default setting with the adapter having no wake up ability.
> Choices are:
> MagicP=0 (default)
> MagicP=1

> Fiber=
> The driver has support for the 1000FD fiber adapter. The fiber autonegotiates link with a fiber switch eventhough it only supports 1000FD. In some cases the user may want to force the adapter to 1000FD.
> Choices are:
> Fiber=AUTO (default)
> Fiber=FORCE

| NOTE – If you modify any adapter parameters, you must reboot the system before the changes take effect. If you make changes and do not reboot, you may experience configuration problems.

A valid autoexec.ncf file is shown below. One set of load and bind commands (in bold) is added for each frame type the adapter is configured to support.

> Set Time Zone = PST8PDT
> set Daylight Savings Time Offset = 1
> set Start Of Daylight Savings Time = (APRIL SUNDAY FIRST 2:00:00 AM)
> set End Of Daylight Savings Time = (OCTOBER SUNDAY LAST 2:00:00 AM)
> set Default Time Server Type = SINGLE
> set Bindery Context = O=LAN
> # WARNING!!
> file server name NOVELLSERVER51
> # WARNING!!
> # If you change the name of this server, you must update
> # all the licenses that are assigned to this server. Using
> # NWAdmin, double-click on a license object and click on
> # the Certificate Assignments button. If the old name of
> # this server appears, you must delete it and then add the
> # new server name. Do this for all license objects.
> ServerID 1C8EE2C
> LOAD ODINEB.NLM
> LOAD TCPIP
> LOAD B57 SLOT=2 FRAME=Ethernet_802.2 NAME=B57_1_E82
> BIND IPX B57_1_E82 NET=FAFD3D25
> LOAD B57 SLOT=2 FRAME=Ethernet_802.3 NAME=B57_1_E83
> BIND IPX B57_1_E83 NET=5A2D8D6D
> LOAD B57 SLOT=2 FRAME=Ethernet_SNAP NAME=B57_1_ESP
> BIND IPX B57_1_ESP NET=477A35BD
> LOAD B57 SLOT=2 FRAME=Ethernet_II NAME=B57_1_EII
> BIND IPX B57_1_EII NET=C3C8F2E4
> BIND IP B57_1_EII ADDR=172.16.1.1 MASK=ff.ff.ff.0
> mount all
> SEARCH ADD SYS:\JAVA\BIN
> SEARCH ADD SYS:\JAVA\NWGFX

| NOTE – If you modify any adapter parameters, you must reboot the system before the changes will take effect. If you make changes and do not reboot, you may experience configuration problems.

Back to Top

## Removing Drivers from Autoexec.ncf

To remove the drivers from the Autoexec.ncf, locate the Load and Bind command lines associated with the Broadcom driver and remark them out by inserting the # symbol at the beginning of each command line, or by deleting the statement.

#### Example:

> # LOAD B57 SLOT=2 FRAME=Ethernet_802.2 NAME=B57_1_E82
> # BIND IPX B57_1_E82 NET=FAFD3D25
> # LOAD B57 SLOT=2 FRAME=Ethernet_802.3 NAME=B57_1_E83
> # BIND IPX B57_1_E83 NET=5A2D8D6D
> # LOAD B57 SLOT=2 FRAME=Ethernet_SNAP NAME=B57_1_ESP
> # BIND IPX B57_1_ESP NET=477A35BD
> # LOAD B57 SLOT=2 FRAME=Ethernet_II NAME=B57_1_EII
> # BIND IPX B57_1_EII NET=C3C8F2E4
> # BIND IP B57_1_EII ADDR=172.16.1.1 MASK=ff.ff.ff.0

> | NOTE – If you modify the Autoexec.ncf, you must reboot the system before the changes take effect.

Back to Top

# BASP for Netware

This section contains the following information:

Introduction

Balance Modes and Limitations

NESL Compliance

Installing Broadcom Advanced Server Program

Balance Mode Selection

Loading Frame Types

Hot Standby

Configuring VLANs

Jumbo Frames

Additional Command Line Keywords

Editing the Autoexec.ncf File

## Introduction

BASP.LAN is Broadcom's virtual ethernet driver for Netware 4.x and 5.x that provides Load-balancing, fault-tolerance, and VLAN features. These features are provided by creating teams (virtual adapters) that consist of multiple NIC interfaces. A team can consist of one to six (eight on some systems) NIC interfaces and each interface can be designated primary or standby*. All primary interfaces in a team will participate in Load-balancing operations by sending and receiving a portion of the total traffic**. Standby interfaces will take over in the event that all primary interfaces have lost their links. VLANs can be added to a team to allow multiple VLANs with different VLAN IDs to share the virtual adapter.

Load-balancing and fault-tolerance features will work with any third party's NIC adapters. VLANs only work with Broadcom or Alteon NIC adapters.

*Standby can only be used in Smart Load-Balance mode (See below).

**In 802.3ad mode, the number of NIC interfaces aggregated is automatically determined through LACP (See below).

## Balance Modes and Limitations

Smart Load-balance (SLB) is a protocol specific scheme and the level of support for IP, IPX, and other protocols are listed below.

| Load-balancing | Fault-tolerance
IP | Yes | Yes
IPX | Yes* | Yes**
Other protocols | No | Yes**

> *Only outbound load-balancing for IPX (on NetWare only).
> **Only for Broadcom NICs. Alteon's driver ALT.LAN must be version 2.05b or newer released by Broadcom.

Smart Load-balance (SLB) mode works with all ethernet switches without configuring the switch ports to any special trunking mode. Only IP traffic will be load-balanced in both inbound and outbound directions. IPX traffic will be load-balanced in outbound direction only. Other protocol packets will be sent and received through one primary NIC only. Fault-tolerance for non-IP traffic is only supported using Broadcom or Alteon NICs.

The Generic Trunking mode requires the ethernet switch to support some form of port trunking mode (e.g. Cisco's Gigabit EtherChannel or other switch vendor's link aggregation mode). Trunking mode must be statically configured on the switch ports that are connected to the team. This mode is protocol-independent and all traffic should be load-balanced and fault-tolerant.

802.3ad mode requires the ethernet switch to support 802.3ad with LACP (Link Aggregation Control Protocol). LACP will try to configure the maximum number of NICs in the team that are compatible for link aggregation. If LACP determines that some NICs are not able to aggregate (because of some restrictive limitations or configurations on the switch), the remaining NICs
that cannot aggregate will be idle. If LACP is completely disabled on the switch, then only one of the NICs in the team will be used. Some switches require the LACP ports to be in full-duplex mode for them to work. LACP can be configured active or passive on the team and most switches allow active or passive selections on a per port basis. At least one side of each connection must be active otherwise the connection will never be selected for aggregation. This mode is also protocol- independent and all traffic should be load-balanced and fault-tolerant.

Back to BASP Contents

Back to Top

## NESL Compliance

For optimum fault tolerance and recovery operations, BASP.LAN relies on the NIC drivers to generate NESL (Netware Event Sevice Layer) events during link changes and other failure events. NESL is an optional feature in the ODI driver specification and not all drivers support it. For NESL events to propagate properly to BASP.LAN, ODINEB.NLM must be loaded before the
NESL compliant ODI drivers.

Do the following to check if a NIC driver supports NESL events. Load BASP.LAN and create a team by binding the NIC adapter to the virtual slot (See instructions and examples below). In the "Virtual Adapter X Team Members" screen of the BASP.LAN's menu interface, the Link status of all bound NIC adapters are shown. Disconnect or connect the NIC adapter's cable and the link status shown on the screen should change immediately if the NIC driver supports NESL events.

Back to BASP Contents

Back to Top

## Installing Broadcom Advanced Server Program

1. Load BASP.LAN just like a standard LAN driver with all necessary frame types for the team. BASP.LAN requires a special VSLOT parameter to specify the virtual slot. The virtual slot can be viewed as team numbers 1 through 4, which supports up to eight adapters and up to four teams.

> | NOTE – Be sure to load BASP.LAN before loading your standard LAN driver.

> Example:
> LOAD BASP.LAN FRAME=ETHERNET_II NAME=BASP_1_EII VSLOT=1

2. Load the network drivers for the NIC adapters that will be part of the team. The frame types loaded should be the same for all adapters in the team and same as those loaded for BASP.LAN in step 1. Do not bind protocols directly to these adapters. Be sure to load ODINEB.NLM (a Novell supplied NLM) before all network drivers.

   Example:
   LOAD ODINEB.NLM
   LOAD B57.LAN FRAME=ETHERNET_II NAME=B57_1_EII SLOT=1
   LOAD B57.LAN FRAME=ETHERNET_II NAME=B57_2_EII SLOT=2

   After BASP.LAN is successfully loaded, a new screen similar to the one above appears. This screen displays all virtual adapter settings and statistics. Press Alt+Esc to switch back to the console and continue with step 3.

3. Bind BASP.LAN to the NIC adapters in the team by using a custom BASP BIND command at the console.

   Example:
   BASP BIND BASP_1_EII B57_1_EII
   BASP BIND BASP_1_EII B57_2_EII

> Note that if there are multiple frame types loaded on the virtual and the physical adapters, it is only necessary to bind one frame type on the virtual adapter to the same frame type on the physical adapter. The other frame types will be automatically bound.

4. Bind protocols to BASP.LAN.

> Example:
> BIND IP BASP_1_EII ADDR=x.x.x.x MASK=x.x.x.x

> | NOTE - Configuration of BASP.LAN should be performed manually by editing the AUTOEXEC.NCF file. NWCONFIG.NLM (or INSTALL.NLM) cannot completely configure BASP.LAN.

> | NOTE - The recommended sequence is to load BASP.LAN before the network drivers as outlined above. This allows BASP.LAN to determine the initial link state of the bound adapters without delay.

###
Uninstall BASP

To uninstall the Broadcom Advanced Server Program, uninstall the adapter and the BASP drivers.

For the adapter driver, a t the Command Line Interface (CLI) enter the following command:

> UNLOAD B57

The response will be:

> Module B57.LAN unloaded

For the BASP driver, a t the Command Line Interface (CLI) enter the following command:

> UNLOAD BASP

The response will be:

> Module BASP.LAN unloaded

| NOTE – BASP can not be unloaded if one or more adapters are bound to BASP.

Back to BASP Contents

Back to Top

## Balance Mode Selection

Use "MODE=SLB" for Smart Load-Balance mode, "MODE=TRUNK" for Generic Trunking mode, or "MODE=802.3AD" for 802.3ad mode. The default is SLB.

> Example:
> LOAD BASP.LAN FRAME=ETHERNET_II NAME=BASP_1_EII VSLOT=1 MODE=TRUNK

| NOTE – In SLB mode, IPX traffic is only load-balanced on the send side but not on the receive side.

In 802.3ad mode, untagged ethernet II frame type must be loaded before LACP frames can be transmitted and received. LACP will default to active for all NICs in the team. Use the parameter "LACP=PASSIVE" to change LACP to passive mode for all NICs in the team. Note that at least one side (server or switch) must be in LACP active mode for it to work.

> Example:
> LOAD BASP.LAN FRAME=ETHERNET_II NAME=BASP_1_EII VSLOT=1 MODE=802.3AD LACP=PASSIVE

Back to BASP Contents

Back to Top

## Loading Frame Types

After one or more NIC adapters are bound to a virtual adapter, additional frame types can only be loaded in the virtual adapter if the corresponding frame types are also loaded in the bound adapters. For example, ETHERNET_802.2 can be loaded in BASP VSLOT 1 if ETHERNET_802.2 is loaded for the B57 driver in SLOT 1 and 2 in the example below. Similarly, a virtual adapter can only be bound to a physical adapter if the physical adapter has all the frame types loaded in the virtual adapter.

> Example:
> LOAD ODINEB.NLM
> LOAD BASP.LAN FRAME=ETHERNET_802.2 NAME=BASP_1_E82 VSLOT=1
> LOAD B57.LAN FRAME=ETHERNET_802.2 NAME=B57_1_E82 SLOT=1
> LOAD B57.LAN FRAME=ETHERNET_802.2 NAME=B57_2_E82 SLOT=2

Back to BASP Contents

Back to Top

## Hot Standby

In Smart Load-Balance (SLB) mode, one or more NIC adapters can be designated as hot standbys. Use the keyword "STANDBY" in the BASP BIND command to indicate binding a NIC adapter as a hot standby.

> Example:
> BASP BIND BASP_1_EII B57_1_EII
> BASP BIND BASP_1_EII B57_2_EII STANDBY

> In the above example, B57_1_EII and B57_2_EII are bound as primary and hot standby adapters respectively. Note that standby is only valid for Smart Load-Balance mode.

> | NOTE – No traffic runs on the standby until the primary fails.

Back to BASP Contents

Back to Top

## Configuring VLANs

| NOTE – VLANs are not supported on non-Broadcom adapters. It is supported on the Alteon® adapters if the ALT.LAN provided by Broadcom is used. If a non-Broadcom adapter is a member of a failover team, VLANs will not be supported for that team.

| NOTE – To avoid failover problems when using BASP, make sure that the spanning tree is disabled on the switch that the network adapter is connected.

To add VLANs to a team, do the following:

1. Load BASP.LAN with the all necessary frame types and specify the VLAN ID for each frame type. You can specify a maximum of 64 VLAN IDs and each VLAN ID can be loaded up to 4 times with 4 different frame types.

   Example: (VLAN ID 2 for Ethernet II)
   LOAD BASP.LAN FRAME=ETHERNET_II NAME=BASP_1_V2_EII VSLOT=1 VLAN=2

   | NOTE – When adding 64 VLANs, the 64th VLAN must have a VLAN ID of 0 (63 VLANs are tagged and 1 VLAN is untagged).

2. Load the network drivers for the NIC adapters in the team with all the frame types specified in step 1. Note that the one or more VLAN IDs specified in step 1 do not have to be specified when loading the network drivers. And each frame type loaded in step 1 only needs to be loaded once for each network driver even if it is loaded multiple times with different VLAN IDs in step 1. Only Broadcom and Alteon® NIC adapters can be used. ALT.LAN must be version 2.05b or newer released by Broadcom and must include the keyword FORVLANS.

   Example: (Broadcom adapters)
   LOAD ODINEB.NLM
   LOAD B57.LAN FRAME=ETHERNET_II NAME=B57_1_EII SLOT=1
   LOAD B57.LAN FRAME=ETHERNET_II NAME=B57_2_EII SLOT=2

   Example: (Alteon adapters)
   LOAD ODINEB.NLM
   LOAD ALT.LAN FRAME=ETHERNET_II NAME=ALT_1_EII SLOT=1 FORVLANS
   LOAD ALT.LAN FRAME=ETHERNET_II NAME=ALT_2_EII SLOT=2 FORVLANS
3. Bind BASP.LAN to the NIC adapters in the team for each protocol.

   Example:
   BASP BIND BASP_1_V2_EII B57_1_EII
   BASP BIND BASP_1_V2_EII B57_2_EII

   Note that if there are multiple VLANs (each with one or more frame types) loaded on the virtual adapter, it is only necessary to bind one frame type on one VLAN on the virtual adapter to the same frame type on the physical adapter. The other VLANs will be automatically bound.

4. Bind protocols to BASP.LAN.

   Example:
   BIND IP BASP_1_V2_EII ADDR=x.x.x.x MASK=x.x.x.x

   This example creates a team with 2 adapters using VLAN ID 2. Outbound packets will be tagged with VLAN ID 2 and only similarly tagged packets will be received by the NIC adapters in the team. Additional VLANs with different VLAN IDs can be created in the same team. The Maximum number of VLANs per virtual slot is 64. The valid range of VLAN IDs is from 1 to 4094. VLAN=0 indicates the VLAN is untagged and is the default. Use decimal numbers to specify the VLAN ID.

   The following are examples of multiple VLAN configurations:

   LOAD BASP FRAME=ETHERNET_II NAME=BASP_1_V100_EII VSLOT=1 VLAN=100
   LOAD BASP FRAME=ETHERNET_II NAME=BASP_1_V200_EII VSLOT=1 VLAN=200
   LOAD BASP FRAME=ETHERNET_II NAME=BASP_1_V300_EII VSLOT=1 VLAN=300

   LOAD ODINEB.NLM
   LOAD B57 FRAME=ETHERNET_II NAME=B57_1_EII SLOT=1
   LOAD B57 FRAME=ETHERNET_II NAME=B57_2_EII SLOT=2

> BASP BIND BASP_1_V100_EII B57_1_EII
> BASP BIND BASP_1_V100_EII B57_2_EII

> BIND IP BASP_1_V100_EII ADDR=172.16.210.1 MASK=255.255.0.0
> BIND IP BASP_1_V200_EII ADDR=172.17.210.1 MASK=255.255.0.0
> BIND IP BASP_1_V300_EII ADDR=172.18.210.1 MASK=255.255.0.0

> | NOTE - When BASP BIND BASP_1_V100_EII B57_1_EII is executed, the adapter B57_1_EII is bound to all three VLANs.

> | NOTE - If you are unable to login to the server after configuring BASP, add the following command lines before loading BASP. UNLOAD SLPTCP LOAD SLPTCP

Back to BASP Contents

Back to Top

## Jumbo Frames

| NOTE – 5705 does not support jumbo frames. It can transmit jumbo packets by TCP segmentation, but the ethernet frame size is still limited to 1514 bytes. Receive frame size is also limited to 1514 bytes.

Jumbo Frames are supported in all balance modes. The maximum frame size will be automatically set to the smallest maximum frame size of all NICs in the team. Use appropriate keywords to enable jumbo frames when loading the NIC drivers.

> Example:
> LOAD BASP.LAN FRAME=ETHERNET_II NAME=BASP_1_EII VSLOT=1
> LOAD B57.LAN FRAME=ETHERNET_II NAME=B57_1_EII SLOT=1 JUMBO=9000
> LOAD B57.LAN FRAME=ETHERNET_II NAME=B57_2_EII SLOT=2 JUMBO=9000
> BASP BIND BASP_1_EII B57_1_EII
> BASP BIND BASP_1_EII B57_2_EII

Back to BASP Contents

Back to Top

## Additional Command Line Keywords

### CHECKSUM=ON

Enables BASP.LAN to offload TCP/UDP and IP checksums to the bound NIC adapters if supported by the OS. This will improve performance if some or all NIC adapters in the team support hardware checksums. Be sure to load the NIC drivers with hardware checksums enabled.

> Example:
> A team of two BCM5700 NICs with hardware checksums enabled.

> LOAD BASP.LAN FRAME=ETHERNET_II NAME=BASP_1_EII CHECKSUM=ON VSLOT=1
> LOAD ODINEB.NLM
> LOAD B57.LAN FRAME=ETHERNET_II NAME=B57_1_EII CHECKSUM=ON SLOT=1
> LOAD B57.LAN FRAME=ETHERNET_II NAME=B57_2_EII CHECKSUM=ON SLOT=2
> BASP BIND BASP_1_EII B57_1_EII
> BASP BIND BASP_1_EII B57_2_EII

### NOSCREEN

Disables the menu-driven screen when BASP.LAN is loaded for the first time.

> Example:
> LOAD BASP.LAN FRAME=ETHERNET_II NAME=BASP_1_EII VSLOT=1 NOSCREEN

### GVRP

Enables GVRP (Garp VLAN Registration Protocol) for the VLAN that is loaded. An untagged 802.2 frame type must be loaded in the virtual adapter and all bound physical adapters for GVRP to take effect. This is necessary because GVRP uses untagged 802.2 frames to advertise VLAN memberships. Use VLAN=0 FRAME=ETHERNET_802.2 in the LOAD command to specify untagged 802.2 frame type.

> Example:
> LOAD BASP.LAN FRAME=ETHERNET_II NAME=BASP_1_V2_EII VSLOT=1 VLAN=2 GVRP
> LOAD BASP.LAN FRAME=ETHERNET_802.2 NAME=BASP_1_E82 VSLOT=1 VLAN=0

Back to BASP Contents

Back to Top

## Editing the Autoexec.ncf File

When an adapter configuration is saved, the NetWare install program adds load and bind statements to the autoexec.ncf file. By accessing this file, you can verify the parameters configured for each adapter, add or delete parameters, or modify parameters.

Autoexec.ncf File Example: A valid autoexec.ncf file is shown below with various VLAN and teaming examples.

Example 1

> # Team of 2 NIC adapters with frame type Ethernet_II and one VLAN, number 2
> #Load BASP.LAN with the frame types and VLAN ID(s) specified.
> LOAD ODINEB.NLM
> LOAD BASP.LAN FRAME=ETHERNET_II NAME=BASP_1_V2_EII VSLOT=1 VLAN=2
> # Load the network drivers for the NIC adapters in the team with the same
> # frames types .
> LOAD B57.LAN FRAME=ETHERNET_II NAME=B57_1_EII SLOT=1
> LOAD B57.LAN FRAME=ETHERNET_II NAME=B57_2_EII SLOT=2
> # Bind BASP.LAN to the NIC adapters in the team for each protocol
> BASP BIND BASP_1_V2_EII B57_1_EII
> BASP BIND BASP_1_V2_EII B57_2_EII
> #Bind protocols to BASP.LAN.
> BIND IP BASP_1_V2_EII ADDR=192.168.2.200 MASK=255.255.255.0
> ##########################################################################

Example 2

> # Team of 2 NIC adapters with frame type Ethernet_II and three VLANs, number 2,3,4
> #Load BASP.LAN with the frame types and VLAN ID(s) specified.
> LOAD ODINEB.NLM
> LOAD BASP.LAN FRAME=ETHERNET_II NAME=BASP_1_V2_EII VSLOT=1 VLAN=2
> LOAD BASP.LAN FRAME=ETHERNET_II NAME=BASP_1_V3_EII VSLOT=1 VLAN=3
> LOAD BASP.LAN FRAME=ETHERNET_II NAME=BASP_1_V4_EII VSLOT=1 VLAN=4
> # Load the network drivers for the NIC adapters in the team with the same
> # frame types and VLANs specified.
> LOAD B57.LAN FRAME=ETHERNET_II NAME=B57_1_EII SLOT=1
> LOAD B57.LAN FRAME=ETHERNET_II NAME=B57_2_EII SLOT=2
> # Bind BASP.LAN to the NIC adapters in the team for each protocol
> # Note: BASP BIND is only used for the first VLAN all other VLANs are automatically
> # bound to the virtual adapter (VSLOT=1).
> BASP BIND BASP_1_V2_EII B57_1_EII
> BASP BIND BASP_1_V2_EII B57_2_EII
> #Bind protocols to BASP.LAN.
> BIND IP BASP_1_V2_EII ADDR=192.168.2.200 MASK=255.255.255.0
> BIND IP BASP_1_V3_EII ADDR=192.168.3.200 MASK=255.255.255.0
> BIND IP BASP_1_V4_EII ADDR=192.168.4.200 MASK=255.255.255.0
> mount all

| NOTE – If you modify any adapter parameters, you must reboot the system before the changes takes effect. If you make changes and do not reboot, you may experience configuration problems.

#### Example of Multiple SLB TEAMs with Multiple Frame Types:

> LOAD BASP.LAN FRAME=ETHERNET_II NAME=BASP_1_EII VSLOT=1
> LOAD BASP.LAN FRAME=ETHERNET_802.2 NAME=BASP_1_E82 VSLOT=1

> LOAD BASP.LAN FRAME=ETHERNET_II NAME=BASP_2_EII VSLOT=2
> LOAD BASP.LAN FRAME=ETHERNET_802.3 NAME=BASP_2_E83 VSLOT=2

> LOAD B57.LAN FRAME=ETHERNET_II NAME=B57_1_EII SLOT=1
> LOAD B57.LAN FRAME=ETHERNET_802.2 NAME=B57_1_E82 SLOT=1
> LOAD B57.LAN FRAME=ETHERNET_II NAME=B57_2_EII SLOT=2
> LOAD B57.LAN FRAME=ETHERNET_802.2 NAME=B57_2_E82 SLOT=2

> LOAD B57.LAN FRAME=ETHERNET_II NAME=B57_3_EII SLOT=3
> LOAD B57.LAN FRAME=ETHERNET_802.3 NAME=B57_3_E83 SLOT=3
> LOAD B57.LAN FRAME=ETHERNET_II NAME=B57_4_EII SLOT=4
> LOAD B57.LAN FRAME=ETHERNET_802.3 NAME=B57_4_E83 SLOT=4

> BASP BIND BASP_1_EII B57_1_EII
> BASP BIND BASP_1_EII B57_2_EII
> BASP BIND BASP_2_EII B57_3_EII
> BASP BIND BASP_2_EII B57_4_EII

> BIND IP BASP_1_EII ADDR=172.16.1.100 MASK=255.255.0.0
> BIND IPX BASP_1_E82 NET=ABAB
> BIND IP BASP_2_EII ADDR=172.18.1.100 MASK=255.255.0.0
> BIND IPX BASP_2_E83 NET=BEEF

| NOTE – When bind B57_1_EII to BASP_1_EII, B57_1_E82 is also bound to BASP_1_E82. IPX load balance only works with all Broadcom adapters or with all Alteon® adapters configuration. VLSOT range is from 1 to 4 (only four Teams can be configured).

#### Example of VLAN with BASP:

> LOAD ODINEB.NLM
> LOAD BASP.LAN FRAME=ETHERNET_II NAME=BASP_1_V100_EII VSLOT=1 VLAN=100
> LOAD BASP.LAN FRAME=ETHERNET_II NAME=BASP_1_V200_EII VSLOT=1 VLAN=200
> LOAD BASP.LAN FRAME=ETHERNET_II NAME=BASP_1_V300_EII VSLOT=1 VLAN=300

> LOAD B57.LAN FRAME=ETHERNET_II NAME=B57_1_EII SLOT=1
> LOAD B57.LAN FRAME=ETHERNET_II NAME=B57_2_EII SLOT=2

> BASP BIND BASP_1_V100_EII B57_1_EII
> BASP BIND BASP_1_V100_EII B57_2_EII

> BIND IP BASP_1_V100_EII ADDR=172.16.210.1 MASK=255.255.0.0
> BIND IP BASP_1_V200_EII ADDR=172.17.220.1 MASK=255.255.0.0
> BIND IP BASP_1_V200_EII ADDR=172.18.230.1 MASK=255.255.0.0

| NOTE – When bind B57_1_V100_EII to B57_1_EII, B57_1_EII are also bound to the other VLANs on the same VSLOT. VLAN refer to VLAN ID, and valid VLAN ID ranges from 1 to 4094.

#### Example of TRUNKING with BASP:

> LOAD ODINEB.NLM
> LOAD BASP.LAN FRAME=ETHERNET_II NAME=BASP_1_EII VSLOT=1 MODE=TRUNK

> LOAD B57.LAN FRAME=ETHERNET_II NAME=B57_1_EII SLOT=1
> LOAD B57.LAN FRAME=ETHERNET_II NAME=B57_2_EII SLOT=2

> BASP BIND BASP_1_EII B57_1_EII
> BASP BIND BASP_1_EII B57_2_EII

> BIND IP BASP_1_EII ADDR=172.16.210.1 MASK=255.255.0.0

| NOTE – Switch ports must be configured for Trunking (for example: FEC or GEC for Cisco switches).

####

####

#### Example of GVRP with BASP:

> LOAD ODINEB.NLM
> LOAD BASP.LAN FRAME=ETHERNET_II NAME=BASP_1_EII VSLOT=1 VLAN=100 GVRP
> LOAD BASP.LAN FRAME=ETHERNET_802.2 NAME=BASP_1_E82 VSLOT=1

> LOAD B57.LAN FRAME=ETHERNET_II NAME=B57_1_EII SLOT=1
> LOAD B57.LAN FRAME=ETHERNET_802.2 NAME=B57_1_E82 SLOT=1
> LOAD B57.LAN FRAME=ETHERNET_II NAME=B57_2_EII SLOT=2
> LOAD B57.LAN FRAME=ETHERNET_802.2 NAME=B57_2_E82 SLOT=2

> BASP BIND BASP_1_EII B57_1_EII
> BASP BIND BASP_1_EII B57_2_EII

> BIND IP BASP_1_EII ADDR=172.16.210.1 MASK=255.255.0.0

> | NOTE - In this example, VLAN 100 will be advertised to the switch using GVRP. Notice that untagged 802.2 frame must be loaded to allow sending and receiving GVRP frames.

> | NOTE – Switch ports must be configured with GVRP enabled.

Back to BASP Contents

Back to Top

## SNMP Agent for Netware

This SNMP agent is designed to support the configuration information pertaining to the Broadcom BASP driver for Netware.

### Installation

When installed from NWCONFIG or NWINSTALL, the basp.ldi will automatically copy the basp.lan, bmapi.nlm, and bsnmp.nlm files into the server.

After configuring and running the BASP then binding the BASP to network adapters load the Broadcom SNMP Instrumentation Agent (BSNMP) with the following steps.

From the Netware Server console command line interface type:

> load bmapi.nlm
> load bsnmp.nlm

### SNMP Objects

BASP SNMP objects are provided in the BASP-Config.MIB file. snmpget and snmpgetnext command can be used to receive the BASP snmp objects such as:

> snmpget localhost public BASP-Config-MIB::btTeamNumber
> snmpgetnext localhost public BASP-Config-MIB::btTeamNumber

### Files

> basp.lan
> bmapi.nlm
> bsnmp.nlm
> BASP-CONFIG.MIB

Back to BASP Contents

Back to Top

Back to Contents

Please read all restrictions and disclaimers.